A Flutter plugin for all platforms for generating signin buttons for different social media account.

## [dotup.de](https://dotup.de)


## Installation

Add to pubspec.yaml.

```yaml
dependencies:
  ...
  dotup_flutter_signin_button: ^1.0.0
```

## Usage Example

import dotup_flutter_signin_button.dart

```dart
import 'package:dotup_flutter_signin_button/dotup_flutter_signin_button.dart';
```

### For built-in buttons.

```dart
SignInButton(
  Buttons.Google,
  onPressed: () {},
)

// with custom text
SignInButton(
  Buttons.Google,
  text: "Mit Google anmelden",
  onPressed: () {},
)
```

### For mini buttons.

```dart
SignInButton.mini(
  Buttons.Facebook,
  onPressed: () {},
)
```

### Built-in Buttons contain

```dart
enum Buttons {
  Apple,
  Email,
  Google,
  Facebook,
  GitHub,
  LinkedIn,
  Pinterest,
  Tumblr,
  Twitter
}
```

<img src="https://raw.githubusercontent.com/flutter-entwickler/dotup_flutter_signin_button/master/screenshots/example1.png" width="300">
<img src="https://raw.githubusercontent.com/flutter-entwickler/dotup_flutter_signin_button/master/screenshots/example2.png" width="300">
<img src="https://raw.githubusercontent.com/flutter-entwickler/dotup_flutter_signin_button/master/screenshots/example3.png" width="300">

**Refer to example folder and the source code for more information.**

based on https://github.com/ZaynJarvis/Flutter-Sign-in-Button