import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';

enum Buttons {
  /// This is a list of all the library built buttons.
  Email,
  Google,
  // GoogleDark,
  Facebook,
  // FacebookNew,
  GitHub,
  Apple,
  // AppleDark,
  LinkedIn,
  Pinterest,
  Tumblr,
  Twitter,
  Reddit,
  Quora,
  Yahoo,
  Hotmail,
  Xbox,
  Microsoft,
}

class ButtonDescriptor {
  final Buttons type;
  final Color backgroundColor;
  final String? text;
  final IconData icon;
  ButtonDescriptor(this.type, this.icon, this.text, this.backgroundColor);
}

final buttonConfig = [
  ButtonDescriptor(Buttons.Google, FontAwesomeIcons.google, 'Sign in with Google', Color.fromRGBO(0, 0, 0, 0.54)),
  // ButtonDescriptor(Buttons.GoogleDark, FontAwesomeIcons.google, 'Sign in with Google', Color(0xFFFFFFFF)),
  ButtonDescriptor(Buttons.Facebook, FontAwesomeIcons.facebookF, 'Sign in with Facebook', Color(0xFF3B5998)),
  // ButtonDescriptor(Buttons.FacebookNew, FontAwesomeIcons.facebookF, 'Sign in with Facebook', Color(0xFF1877f2)),
  ButtonDescriptor(Buttons.GitHub, FontAwesomeIcons.github, 'Sign in with GitHub', Color(0xFF444444)),
  ButtonDescriptor(Buttons.Apple, FontAwesomeIcons.apple, 'Sign in with Apple', Colors.black),
  // ButtonDescriptor(Buttons.AppleDark, FontAwesomeIcons.apple, 'Sign in with Apple', Color(0xFF000000)),
  ButtonDescriptor(Buttons.LinkedIn, FontAwesomeIcons.linkedinIn, 'Sign in with LinkedIn', Color(0xFF007BB6)),
  ButtonDescriptor(Buttons.Pinterest, FontAwesomeIcons.pinterest, 'Sign in with Pinterest', Color(0xFFCB2027)),
  ButtonDescriptor(Buttons.Tumblr, FontAwesomeIcons.tumblr, 'Sign in with Tumblr', Color(0xFF34526f)),
  ButtonDescriptor(Buttons.Twitter, FontAwesomeIcons.twitter, 'Sign in with ', Color(0xFF1DA1F2)),
  ButtonDescriptor(Buttons.Reddit, FontAwesomeIcons.reddit, 'Sign in with Reddit', Color(0xFFFF4500)),
  ButtonDescriptor(Buttons.Quora, FontAwesomeIcons.quora, 'Sign in with Quora', Color(0xA40A00)),
  ButtonDescriptor(Buttons.Yahoo, FontAwesomeIcons.yahoo, 'Sign in with Yahoo', Color(0x6001D2)),
  ButtonDescriptor(Buttons.Xbox, FontAwesomeIcons.xbox, 'Sign in with Xbox', Color(0x107C0F)),
  ButtonDescriptor(Buttons.Microsoft, FontAwesomeIcons.microsoft, 'Sign in with Microsoft', Color(0xff235A9F)),
  ButtonDescriptor(Buttons.Email, Icons.email, 'Sign in with Email', Colors.grey.shade700),
];
